> # NAME

> ColorArg1 - 3D API color arg1

> # USAGE

> ColorArg1 = int(first)

> # VALID ENUMERANTS

> first: Constant, Current, Diffuse, SelectMask, Specular, Temp, Texture, TFactor

> # DESCRIPTION

> Specify that this texture-stage state is the first color argument for the stage. See the D3DTSS_COLORARG1 texture stage state description for DirectX 9.

> The standard reset callback sets the ColorArg1 state to int(Texture).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> Not applicable.

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> DirectX 9

> # SEE ALSO

> AlphaArg0, AlphaArg1, AlphaArg2, AlphaBlendEnable, AlphaFunc, AlphaOp, AlphaRef, AlphaTestEnable, ColorArg0, ColorArg2, ColorOp, BlendOpAlpha